Britive platform release 2026.09.02 is now live in production.

Get rotation template

Prev Next
Get
/api/resource-manager/resource-types/{resourceTypeId}/rotation-templates/{templateId}

Get rotation template settings for a specific rotation template by ID

Security
HTTP
Type bearer
Path parameters
resourceTypeId
stringRequired

ID of the resource type

templateId
stringRequired

ID of the rotation template

Responses
200

Rotation template settings retrieved successfully

Expand All
object
id
string

ID of the rotation template (auto-generated, optional in request)

resourceTypeId
string

ID of the resource type (auto-populated, optional in request)

resourceType
string

Name of the resource type (auto-populated, optional in request)

rotationTemplateName
string

Name of the rotation template (required in request)

Max length20
rotationTemplateDesc
string

Description of the rotation template

Max length1048
scriptName
string

Name of the rotation script (required if isLocal is false)

Max length128
timeoutLimit
integer

Timeout limit in seconds

variables
Array of object (RotationTemplateVariableDto)

Array of variables for the rotation template

object
name
string

Name of the variable

type
string

Type of the variable (hardcoded to 'string' for now)

Default"string"
multivalued
boolean

Whether the variable can have multiple values

Defaultfalse
inlineFile
boolean

Whether the script is inline or uploaded as a file

editorType
string

Type of editor (e.g., 'yaml', 'json', 'bash')

Max length10
isLocal
boolean

Whether the rotation template script is local. If true, scriptName can be empty.

presignedUrl
string

Presigned URL for uploading/downloading the rotation script file (auto-populated in response, not used in request)

createdOn
string

Creation timestamp (auto-populated in response, not used in request)

createdBy
string

Name of user who created the template (auto-populated in response, not used in request)

updatedOn
string

Last update timestamp (auto-populated in response, not used in request)

updatedBy
string

Name of user who last updated the template (auto-populated in response, not used in request)

404

Resource type or rotation template settings not found